NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Tooling.DieEngTrimAngleCheckBuilder Class Reference

Represents a Trim Angle Check builder More...

Inheritance diagram for NXOpen.Tooling.DieEngTrimAngleCheckBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  DirectionOptions { ByVector, ByAngles }
 Options to determine the method to specify direction. More...
 

Public Member Functions

unsafe void GetJoinedSelectedCurves (out NXOpen.Curve[] joinedSelectedCurves)
 Get the joined trimming curves. More...
 
unsafe void GetTrimSideTags (out NXOpen.Direction[] trimSideTags)
 Get the vector tags of joined trimming curve trim sides. More...
 
unsafe void JoinCurvesAndEdges (NXOpen.ICurve[] inputCrvs, double distTol, out NXOpen.ICurve[] outputCrvs)
 Join the input curves and edges. More...
 
unsafe void SetJoinedSelectedCurves (NXOpen.Curve[] joinedSelectedCurves)
 Set the joined trimming curves. More...
 
unsafe void SetTrimSideTags (NXOpen.Direction[] trimSideTags)
 Set the vector tags of joined trimming curve trim sides. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool AutoFit [get, set]
 Returns or sets the option to indicate whether to fit or not when selecting trimming curve(s) on the trimming curve list More...
 
unsafe NXOpen.Expression CheckPointSpacing [get]
 Returns the maximum distance between two check points More...
 
unsafe
NXOpen.Tooling.DieEngTrimAngleCheckBuilder.DirectionOptions 
DirectionOption [get, set]
 Returns or sets the option to set the method of defining trimming direction More...
 
unsafe NXOpen.Expression ElevationAngle [get]
 Returns the elevation angle More...
 
unsafe bool HideSafeZone [get, set]
 Returns or sets the option to indicate whether to hide the feedback objects whose trim angles are in the safe zone or not More...
 
unsafe double LineScale [get, set]
 Returns or sets the line scale More...
 
unsafe NXOpen.Expression MaxAngle [get]
 Returns the upper limit of a valid trim angle More...
 
unsafe NXOpen.Expression MinAngle [get]
 Returns the lower limit of a valid trim angle More...
 
unsafe NXOpen.Expression PlaneAngle [get]
 Returns the plane angle More...
 
unsafe NXOpen.ScCollector TrimmingCurves [get]
 Returns the trimming curves More...
 
unsafe NXOpen.Direction TrimmingDirection [get, set]
 Returns or sets the trimming direction More...
 
unsafe NXOpen.ScCollector TrimmingFaces [get]
 Returns the trimming faces More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Trim Angle Check builder

To create a new instance of this class, use NXOpen.Tooling.AutoDieCollection.CreateDieEngTrimAngleCheckBuilder

Default values.

Property Value

CheckPointSpacing.Value

25.4 (millimeters part), 1 (inches part)

DirectionOption

ByVector

ElevationAngle.Value

90

LineScale

1

MaxAngle.Value

20

MinAngle.Value

-15

PlaneAngle.Value

0

Created in NX8.5.0

Member Enumeration Documentation

Options to determine the method to specify direction.

Enumerator
ByVector 
ByAngles 

Member Function Documentation

unsafe void NXOpen.Tooling.DieEngTrimAngleCheckBuilder.GetJoinedSelectedCurves ( out NXOpen.Curve[]  joinedSelectedCurves)
inline

Get the joined trimming curves.

If join is not needed, they are the copies of trimming curves.

Created in NX9.0.0

License requirements: None.

Parameters
joinedSelectedCurves
unsafe void NXOpen.Tooling.DieEngTrimAngleCheckBuilder.GetTrimSideTags ( out NXOpen.Direction[]  trimSideTags)
inline

Get the vector tags of joined trimming curve trim sides.

Created in NX9.0.0

License requirements: None.

Parameters
trimSideTags
unsafe void NXOpen.Tooling.DieEngTrimAngleCheckBuilder.JoinCurvesAndEdges ( NXOpen.ICurve[]  inputCrvs,
double  distTol,
out NXOpen.ICurve[]  outputCrvs 
)
inline

Join the input curves and edges.

Original curves and edges won't be modified.

Created in NX9.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Parameters
inputCrvsCurves/Edges to be joined.
distTolDistance tolerance.
outputCrvsJoined curves/edges or copies of the input curves/edges if join is not needed.
unsafe void NXOpen.Tooling.DieEngTrimAngleCheckBuilder.SetJoinedSelectedCurves ( NXOpen.Curve[]  joinedSelectedCurves)
inline

Set the joined trimming curves.

If join is not needed, they are the copies of trimming curves.

Created in NX9.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Parameters
joinedSelectedCurves
unsafe void NXOpen.Tooling.DieEngTrimAngleCheckBuilder.SetTrimSideTags ( NXOpen.Direction[]  trimSideTags)
inline

Set the vector tags of joined trimming curve trim sides.

Created in NX9.0.0

License requirements: die_engineering ("DIE ENGINEERING")

Parameters
trimSideTags

Property Documentation

unsafe bool NXOpen.Tooling.DieEngTrimAngleCheckBuilder.AutoFit
getset

Returns or sets the option to indicate whether to fit or not when selecting trimming curve(s) on the trimming curve list

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Expression NXOpen.Tooling.DieEngTrimAngleCheckBuilder.CheckPointSpacing
get

Returns the maximum distance between two check points

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Tooling.DieEngTrimAngleCheckBuilder.DirectionOptions NXOpen.Tooling.DieEngTrimAngleCheckBuilder.DirectionOption
getset

Returns or sets the option to set the method of defining trimming direction

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Expression NXOpen.Tooling.DieEngTrimAngleCheckBuilder.ElevationAngle
get

Returns the elevation angle

Created in NX9.0.0

License requirements: None.

unsafe bool NXOpen.Tooling.DieEngTrimAngleCheckBuilder.HideSafeZone
getset

Returns or sets the option to indicate whether to hide the feedback objects whose trim angles are in the safe zone or not

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe double NXOpen.Tooling.DieEngTrimAngleCheckBuilder.LineScale
getset

Returns or sets the line scale

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Expression NXOpen.Tooling.DieEngTrimAngleCheckBuilder.MaxAngle
get

Returns the upper limit of a valid trim angle

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.DieEngTrimAngleCheckBuilder.MinAngle
get

Returns the lower limit of a valid trim angle

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.DieEngTrimAngleCheckBuilder.PlaneAngle
get

Returns the plane angle

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Tooling.DieEngTrimAngleCheckBuilder.TrimmingCurves
get

Returns the trimming curves

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Direction NXOpen.Tooling.DieEngTrimAngleCheckBuilder.TrimmingDirection
getset

Returns or sets the trimming direction

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING")

unsafe NXOpen.ScCollector NXOpen.Tooling.DieEngTrimAngleCheckBuilder.TrimmingFaces
get

Returns the trimming faces

Created in NX8.5.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.